org.eclipse.net4j.util.collection

## Class ComposedIterator<T>

- java.lang.Object
- - org.eclipse.net4j.util.collection.AbstractIterator<T>
  - - org.eclipse.net4j.util.collection.ComposedIterator<T>

- All Implemented Interfaces:
    Iterator<T>

      public class ComposedIterator<T>
      extends AbstractIterator<T>

  An iterator that is composed of multiple delegate iterators.
  Since:
    3.4
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.collection.AbstractIterator

      `END_OF_DATA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComposedIterator(Collection<? extends Iterator<T>> delegates)`
    `ComposedIterator(Iterator<? extends Iterator<T>> delegates)`
    `ComposedIterator(Iterator<T>... delegates)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `computeNextElement()` Returns the next iteration element, or `AbstractIterator.END_OF_DATA` if the end of the iteration has been reached.
    `static <T> Iterator<T>` | `fromIterables(Collection<? extends Iterable<T>> iterables)`

    - ### Methods inherited from class org.eclipse.net4j.util.collection.AbstractIterator

      `empty, hasNext, next, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### ComposedIterator

          public ComposedIterator(Iterator<T>... delegates)

    - #### ComposedIterator

          public ComposedIterator(Collection<? extends Iterator<T>> delegates)

    - #### ComposedIterator

          public ComposedIterator(Iterator<? extends Iterator<T>> delegates)

  - ### Method Detail

    - #### computeNextElement

          protected Object computeNextElement()

      Description copied from class: `AbstractIterator`
      Returns the next iteration element, or `AbstractIterator.END_OF_DATA` if the end of the iteration has been reached.
      Specified by:
        `computeNextElement` in class `AbstractIterator<T>`

    - #### fromIterables

          public static <T> Iterator<T> fromIterables(Collection<? extends Iterable<T>> iterables)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html